user root;

daemon on;
master_process on;
worker_processes auto;
worker_priority -20;
worker_rlimit_nofile 262144;

error_log /var/log/GsecTLS/GsecTLS.log info;

events {

  multi_accept on;
  worker_connections 4096;

}

stream {
    proxy_ssl on;
    proxy_ssl_protocols TLSv1.2;
    proxy_ssl_server_name on;
    proxy_ssl_session_reuse on;
    proxy_ssl_verify on;
    proxy_ssl_verify_depth 3;
    proxy_ssl_trusted_certificate certs/trusted.cer.pem;
    proxy_ssl_crl certs/ruc.crl.pem;

#================================================================================
#   Test page
#================================================================================
    server {
       listen *:11000;

       proxy_pass 10.53.8.35:11000;
       proxy_ssl_name test.GsecTLS.nces;
    }
#================================================================================
#   APK prod for EDI
#================================================================================
    server {
       listen *:11001;

       proxy_pass 10.53.8.35:11001;
       proxy_ssl_name api1.GsecTLS.nces;
    }
#================================================================================
#   APK for EDI
#================================================================================
    server {
       listen *:11002;

       proxy_pass 10.53.8.35:11002;
       proxy_ssl_name api2.GsecTLS.nces;
    }
}
